#!/bin/bash

# $Id: rhcd.conf,v 1.4 2002/10/25 22:58:46 luigi Exp $
# rhcd.conf - user-defined variables for the scripts contained in the 
# redhat cd howto. To correctly execute the scripts you have to . (source) 
# this file before running them.

# Redhat release (e.g. 7.3, 8.0)
RHVERSION=7.3
# Redhat name (e.g. Valhalla, Psyche)
RHNAME=Valhalla
# ftp site (redhat mirror) where the updates should be downloaded from
SITE="ftp://ftp.esat.net/"
# root directory for the updates on the remote ftp site
REMOTEDIR=/mirrors/ftp.redhat.com/redhat/linux/updates/${RHVERSION}/en/os 
# root directory (full path name) of your local RedHat distribution tree
RHROOT=/home/luigi/tmp/redhat-cd-${RHVERSION}/redhat-${RHVERSION}
# You can set this to yes (if you want the package md5/gpg signatures to 
# be checked) or no 
CHECKSIG=yes
# You can set this to yes (if you have the redhat security GPG public key) or no
# For it to work you need to set CHECKSIG=yes 
USEGPG=yes
# root directory for the updates on the local drive
UPDDIR=/home/luigi/tmp/redhat-cd-${RHVERSION}/redhat-${RHVERSION}-updates
# packages directories to exclude from the updates download 
# (list, space separated.  e.g. "SRPMS ia64")
EXCLUDELIST="SRPMS"
# removed (old) updates directory
OLDDIR=/home/luigi/tmp/redhat-cd-${RHVERSION}/redhat-${RHVERSION}-old
# Architectures to be considered for the updates, a space-separated list 
# (e.g. ARCH="i386 i586 i686 noarch").
ARCH="i386 i486 i586 i686 noarch athlon" 
# images directory (for 6.x releases)
IMGDIR=${UPDDIR}/images/i386
# directory where the images to be updated are (for 6.x release)
OMGDIR=/home/luigi/tmp/redhat-cd-${RHVERSION}/redhat-${RHVERSION}/images
# complete filename of the RPM version compare program (rvc)
RVC=/home/luigi/bin/rvc
# Anaconda runtime utilities directory
ANAPATH=/usr/lib/anaconda-runtime
# Architecture to use during the installation building phase (e.g. i386) 
DISTARCH=i386
# full name of the new comps file (to be further elaborated for redhat 8)
COMPSFILE=/home/luigi/tmp/redhat-cd-${RHVERSION}/comps-rh732
# CDs containing the RPMS packages (not just SRPMS) expressed 
# as a shell wildcard, e.g. [123] or [1-3])
DISCR="[1-3]"
# file containing the RPMS ordering on the CDs (the one you generate by means 
# of the buildinstall command, e.g. pkgorder.txt)
PKGFILE=pkgorder.txt
# image file to be used with the bootable CD (is passed to option -b of mkisofs 
# e.g. "dosutils/autoboot/cdboot.img" for redhat 7.3, "isolinux/isolinux.bin" 
# for redhat 8.0)
BOOTIMAGE=dosutils/autoboot/cdboot.img
# boot catalog file to be used with the bootable CD (is passed to option -c of mkisofs 
# e.g. "boot.cat" for redhat 7.3, "isolinux/boot.cat" for 8.0) 
# for redhat 8.0)
BOOTCATALOG=boot.cat
# Destination directory (full path) for the iso images
ISODESTDIR=/home/luigi/mnt/luigi/redhat-cd-${RHVERSION}
# You can set this to 'yes' (if you want the md5 signature to be implanted 
# in your iso images) or 'no'  
USEISOMD5=no


